--- old/usr/src/man/man7d/ecpp.7d	Fri Jan 10 14:01:40 2020
+++ new/usr/src/man/man7d/ecpp.7d	Fri Jan 10 14:01:40 2020
@@ -3,11 +3,10 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH ECPP 7D "May 13, 2017"
+.TH ECPP 7D "Jan 10, 2020"
 .SH NAME
 ecpp \- IEEE 1284 compliant parallel port driver
 .SH SYNOPSIS
-.LP
 .nf
 #include <sys/types.h>
 .fi
@@ -23,7 +22,6 @@
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBecpp\fR driver provides a bi-directional interface to \fIIEEE 1284\fR
 compliant devices as well as a forward single-directional interface to
 Centronics devices. In addition to the Centronics protocol, the \fBecpp\fR
@@ -48,7 +46,6 @@
 The \fBecpp\fR driver is an \fIexclusive-use\fR device, meaning that if the
 device is already open, subsequent opens fail with \fBEBUSY\fR.
 .SS "Default Operation"
-.LP
 Each time the \fBecpp\fR device is opened, the device is marked as \fBEBUSY\fR
 and the configuration variables are set to their default values. The
 \fBwrite_timeout\fR period is set to 90 seconds.
@@ -71,8 +68,7 @@
 \fBioctl\fR(2) call. For mode negotiation to be successful, both the host
 workstation and the peripheral must support the requested mode.
 .SS "Tunables"
-.LP
- Characteristics of the \fBecpp\fR driver may be tuned by the variables
+Characteristics of the \fBecpp\fR driver may be tuned by the variables
 described in \fB/kernel/drv/ecpp.conf\fR. These variables are read by the
 kernel during system startup. To tune the variables, edit the \fBecpp.conf\fR
 file and invoke \fBupdate_drv\fR(1M) to have the kernel read the file again.
@@ -83,12 +79,10 @@
 If printing problems occur, set "fast-centronics" and "fast-1284-compatible" to
 "false." See \fB/kernel/drv/ecpp.conf\fR for more information.
 .SS "Read/Write Operation"
-.LP
 The \fBecpp\fR driver is a full duplex STREAMS device driver. While an
 application is writing to an \fIIEEE 1284\fR compliant device, another thread
 may read from it.
 .SS "Write Operation"
-.LP
 A \fBwrite\fR(2) operation returns the number of bytes successfully written to
 the stream head. If a failure occurs while a Centronics device is transferring
 data, the content of the status bits will be captured at the time of the error
@@ -96,7 +90,6 @@
 \fBioctl\fR(2) call. The captured status information is overwritten each time
 an attempted transfer or a \fBBPPIOC_TESTIO\fR \fBioctl\fR(2) occurs.
 .SS "Read Operation"
-.LP
 If a failure or error condition occurs during a \fBread\fR(2), the number of
 bytes successfully read is returned (short read). When attempting to read a
 port that has no data currently available, \fBread\fR(2) returns \fB0\fR if
@@ -104,7 +97,6 @@
 \fB-1\fR and sets errno to \fBEAGAIN.\fR If \fBO_NDELAY\fR and \fBO_NONBLOCK\fR
 are clear, \fBread\fR(2) blocks until data become available.
 .SH IOCTLS
-.LP
 The \fBioctl\fR(2) calls described below are supported. Note that when
 \fBecpp\fR is transferring data, the driver waits until the data has been sent
 to the device before processing the \fBioctl\fR(2) call.
@@ -340,7 +332,7 @@
 \fB\fB/dev/lp\fIN\fR\fR\fR
 .ad
 .RS 19n
-Solaris x86 only. (Backwards compatibility with former \fBlp\fR(7D) devices.)
+x86 only. (Backwards compatibility with former \fBlp\fR(7D) devices.)
 .RE
 
 .sp
@@ -355,63 +347,33 @@
 .SH FILES
 .ne 2
 .na
-\fB\fBkernel/drv/ecpp\fR\fR
+\fB/kernel/drv/sparcv9/ecpp\fR
 .ad
 .sp .6
 .RS 4n
-32-bit ELF kernel module
+Device driver (SPARC)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fBkernel/drv/sparcv9/ecpp\fR\fR
+\fB/kernel/drv/amd64/ecpp\fR
 .ad
 .sp .6
 .RS 4n
-64-bit SPARC ELF kernel module
+Device driver (x86)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fBkernel/drv/amd64/ecpp\fR\fR
+\fB/kernel/drv/ecpp.conf\fR
 .ad
 .sp .6
 .RS 4n
-64-bit x86 ELF kernel module
+Driver configuration file
 .RE
 
-.sp
-.ne 2
-.na
-\fB\fBkernel/drv/ecpp.conf\fR\fR
-.ad
-.sp .6
-.RS 4n
-driver configuration file
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBkernel/drv/sparcv9/ecpp.conf\fR\fR
-.ad
-.sp .6
-.RS 4n
-driver configuration file for 64-bit SPARC
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBkernel/drv/amd64/ecpp.conf\fR\fR
-.ad
-.sp .6
-.RS 4n
-driver configuration file for 64-bit x86
-.RE
-
 .SH ERRORS
 .ne 2
 .na
@@ -468,7 +430,6 @@
 .RE
 
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -487,7 +448,6 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBmodload\fR(1M), \fBmodunload\fR(1M), \fBupdate_drv\fR(1M), \fBioctl\fR(2),
 \fBopen\fR(2), \fBread\fR(2), \fBwrite\fR(2), \fBattributes\fR(5),
 \fBbpp\fR(7D), \fBusbprn\fR(7D), \fBprnio\fR(7I), \fBstreamio\fR(7I)
